[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# IInterfaceComponentReference

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Interface for checking component references

## Declaration

Source position: classesh.inc line 1863

`type IInterfaceComponentReference = interface`
`function GetComponent;` |  | Return component instance
`end;`

## Inheritance

`IInterfaceComponentReference` |  | Interface for checking component references

## Description

IInterfaceComponentReference is an interface to return the component that implements a given interface. It is implemented by TComponent.

## See also

TComponent |  | Base class for all components that need owner-owned functionality.